<rtflowfile version="1.0">
   <block name="Ramp" folder="Standard\Generators\" width="48" height="48">
      <resize constrainprop="false" allow="true"/>
      <instancename show="true" position="up"/>
      <blockname show="false" position="down"/>
      <portnames show="true" inside="false"/>
      <graphic class="rect" x1="0" y1="0" x2="48" y2="48">
         <fill fill="true" color="0x00EEEEEE"/>
      </graphic>
      <graphic class="line" x1="8" y1="40" x2="40" y2="40" arrowEnd="true" style="solid"/>
      <graphic class="line" x1="8" y1="40" x2="8" y2="8" arrowEnd="true" style="solid"/>
      <graphic class="line" x1="8" y1="24" x2="40" y2="16" style="solid"/>
      <doc>Generates a signal that increases or decreases at a fixed rate. The start value is given by the input signal start, and the rate is given by the input signal step in change per execution cycle. Both parameters must be fed by constants in order to obtain a fixed change rate.</doc>
      <port name="start" type="real" x="0" y="16" kind="input" dir="left">
         <doc>The start value, that is, the value that the output signal will have in the first cycle.</doc>
      </port>
      <port name="step" type="real" x="0" y="32" kind="input" dir="left">
         <doc>The change for each execution cycle.</doc>
      </port>
      <port name="value" type="real" x="48" y="16" kind="output" dir="right">
         <doc>The generated signal.</doc>
      </port>
   </block>
   <schematic width="930" height="602" name="Ramp">
      <editor gridsize="16" alignports="true"/>
      <binstance name="start" block="RealInput" x="64" y="48"/>
      <binstance name="step" block="RealInput" x="64" y="128"/>
      <binstance name="value" block="RealOutput" x="320" y="56"/>
      <binstance name="Add1" block="Add" x="256" y="48"/>
      <binstance name="Add2" block="Add" x="112" y="112"/>
      <binstance name="Pre1" block="Pre" x="176" y="112">
         <constant name="initial" value="0" show="true" x="16" y="24"/>
      </binstance>
      <connection name="Add2_o_1" port1="Add2.o" port2="Pre1.i0">
         <point x="144" y="128"/>
         <point x="176" y="128"/>
      </connection>
      <connection name="step" port1="step.o" port2="Add2.i1">
         <point x="80" y="136"/>
         <point x="114" y="136"/>
      </connection>
      <connection name="Pre1_o_1" port1="Pre1.o" port2="Add2.i0">
         <point x="208" y="128"/>
         <point x="224" y="128"/>
         <point x="224" y="96"/>
         <point x="96" y="96"/>
         <point x="96" y="120"/>
         <point x="114" y="120"/>
      </connection>
      <connection name="Pre1_o_1" port1="Pre1.o" port2="Add1.i1">
         <point x="208" y="128"/>
         <point x="224" y="128"/>
         <point x="224" y="72"/>
         <point x="258" y="72"/>
      </connection>
      <connection name="start" port1="start.o" port2="Add1.i0">
         <point x="80" y="56"/>
         <point x="258" y="56"/>
      </connection>
      <connection name="value" port1="Add1.o" port2="value.i0">
         <point x="288" y="64"/>
         <point x="320" y="64"/>
      </connection>
   </schematic>
</rtflowfile>
